# Class: Drawer

## M_.Drawer()

To do

## Constructor

#### new Drawer()

##### Properties:

Name | Type | Description
--- | --- | ---
`jEl` | type |
`alignTo` | type |
`position` | type |
`height` | type |
`width` | type |
`speed` | type |
`visible` | type |
`floating` | type |

Implements:
  - M_.Observable

### Extends

- M_.SimpleList

### Methods

#### create() → {type}

Inherited From:
  - M_.SimpleList#create

##### Returns:

Type
  type

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### enterViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.SimpleList#enterViewable

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### getSelection() → {type}

Inherited From:
  - M_.SimpleList#getSelection

##### Returns:

Type
  type

#### hide() → {type}

##### Returns:

Type
  type

#### isVisible() → {Boolean}

##### Returns:

Type
  Boolean

#### leaveViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.SimpleList#leaveViewable

##### Returns:

Type
  type

#### moveViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.SimpleList#moveViewable

##### Returns:

Type
  type

#### render() → {type}

Inherited From:
  - M_.SimpleList#render

##### Returns:

Type
  type

#### setSelection(m_id)

##### Parameters:

Name | Type | Description
--- | --- | ---
`m_id` | type |

Inherited From:
  - M_.SimpleList#setSelection

#### show() → {type}

##### Returns:

Type
  type

#### showOrHide(ok, anim) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`ok` | type |  |
`anim` | Boolean | true |

##### Returns:

Type
  type

#### updateStore() → {type}

Inherited From:
  - M_.SimpleList#updateStore

##### Returns:

Type
  type